SDL Visual Test

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Macros | Typedefs | Functions
SDL_visualtest_harness_argparser.h File Reference
`#include <SDL.h>`
`#include "SDL_visualtest_sut_configparser.h"`
`#include "SDL_visualtest_variator_common.h"`
`#include "SDL_visualtest_action_configparser.h"`

Go to the source code of this file.

## Data Structures
struct | SDLVisualTest_HarnessState

## Macros
#define | MAX_PATH_LEN 300
#define | MAX_SUT_ARGS_LEN 600

## Typedefs
typedef struct SDLVisualTest_HarnessState | SDLVisualTest_HarnessState

## Functions
int | SDLVisualTest_ParseHarnessArgs (char **argv, SDLVisualTest_HarnessState *state)
void | SDLVisualTest_FreeHarnessState (SDLVisualTest_HarnessState *state)

## Detailed Description

Provides functionality to parse command line arguments to the test harness.

## Macro Definition Documentation

#define MAX_PATH_LEN 300

Maximum length of a path string

#define MAX_SUT_ARGS_LEN 600

Maximum length of a string of SUT arguments

## Typedef Documentation

typedef struct SDLVisualTest_HarnessState SDLVisualTest_HarnessState

Stores the state of the test harness.

## Function Documentation

void SDLVisualTest_FreeHarnessState | ( | SDLVisualTest_HarnessState * | state) |  |

Frees any resources associated with the state object pointed to by `state`.

int SDLVisualTest_ParseHarnessArgs | ( | char ** | argv,
|  | SDLVisualTest_HarnessState * | state
| ) |  |

Parse command line paramters to the test harness and populate a state object.

Parameters

  argv | The array of command line parameters.
  state | Pointer to the state object to be populated.

Returns
  Non-zero on success, zero on failure.